<?php
/**
* @version $Id: install_english.php,v 1.3 2005/02/20 22:21:13 mic Exp $
* @package MMLi
* @copyright (C) 2000 - 2004 Miro International Pty Ltd
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
* @edited by mic (developer@mamboworld.net) www.mamboworld.net
* Mambo is Free Software
*/

// edited by mic (mic@mamboworld.net) - 2005.01.07

//-- version to install
define ('MamboVersion','4.5.2.1'); // new!
//-- Common
define ('_INSTALL_ISO','iso-8859-1');
define ('_INSTALL_YES', "Yes");
define ('_INSTALL_NO', "No");
define ('_INSTALL_AVAILABLE', "Available");
define ('_INSTALL_UNAVAILABLE', "Unavailable");
define ('_INSTALL_WRITABLE', "Writable");
define ('_INSTALL_ON', "ON");
define ('_INSTALL_OFF', "OFF");
define ('_INSTALL_UNWRITABLE', "Unwritable");
define ('_INSTALL_NEXT', "Next >>");
define ('_INSTALL_BACK', '<< Back'); // ##### new

//--Language choice
define ('_INSTALL_LANGUAGE_SECTION', "Mambo installation language");
define ('_INSTALL_LANGUAGE_DESCRIPTION', "The installer automatically detects your browser language preferences. However, you can select one of the available languages.");
define ('_INSTALL_LANGUAGE_LABEL', "Installation language");
define ('_INSTALL_LANGUAGE_CHECK','Language check');
define ('_INSTALL_LANGUAGE_CHOOSE','- Please Choose -');
define ('_INSTALL_LANGUAGE_FRONT','User language');
define ('_INSTALL_LANGUAGE_BACK','Admin language');
define ('_INSTALL_LANGUAGE_NOTE','[<strong>NOTE</strong>: Additions to the language name:<br />f = Formal/i = Informal, e.g. german<strong>f</strong>, german<strong>i</strong>]');

//-- Index.php
	//--Left menu
define ('_INSTALL_LICENSE_ALERT', "Please read/accept license to continue installation");
define ('_INSTALL_MAMBO', "Mambo Installation");
define ('_INSTALL_STEP_PRECHECK', "pre-installation check");
define ('_INSTALL_STEP_LICENSE', "License");
define ('_INSTALL_STEP_1', "Step 1");
define ('_INSTALL_STEP_2', "Step 2");
define ('_INSTALL_STEP_3', "Step 3");
define ('_INSTALL_STEP_4', "Step 4");
	//--Pre-check zone
define ('_INSTALL_PRECHECK_TITLE', "pre-installation check");
define ('_INSTALL_PRECHECK_SECTION', "Pre-installation check for");
define ('_INSTALL_PRECHECK_DESCRIPTION', "If any of these items are highlighted in red then please take actions to correct them. <br />
			Failure to do so could lead to your Mambo installation not functioning correctly.");
define ('_INSTALL_PHP_VERSION','- <strong>PHP</strong> Version >= 4.1.0');
define ('_INSTALL_PHP_ZLIB', '- <strong>zlib</strong> compression support');
define ('_INSTALL_PHP_XML', '- <strong>XML</strong> support');
define ('_INSTALL_PHP_MYSQL', '- <strong>MySQL</strong> support');
define ('_INSTALL_CONFIG_FILE','- <strong>Mambo</strong> Configuration');
define ('_INSTALL_PHP_CONF', "You can still continue the install as the configuration will be displayed at the end, just copy & paste this and upload.");
define ('_INSTALL_SESSION', "- Session save path");
define ('_INSTALL_SESSION_NOT_SET','Not set');

	//--recommanded
define ('_INSTALL_PHP_SETTINGS_TITLE', "Recommended settings:");
define ('_INSTALL_PHP_SETTINGS_DESCRIPTION', "These settings are recommended for PHP in order to ensure full compatibility with Mambo.<br />
		However, Mambo will still operate if your settings do not quite match the recommended");
define ('_INSTALL_PHP_FONCTION', "Directive");
define ('_INSTALL_PHP_FONCTION_IDEAL', "Recommended");
define ('_INSTALL_PHP_FONCTION_ACTUAL', "Actual");
define ('_INSTALL_PHP_MODE', "Safe Mode:");
define ('_INSTALL_PHP_ERRORS', "Display Errors:");
define ('_INSTALL_PHP_UPLOAD', "File Uploads:");
define ('_INSTALL_PHP_QUOTES_GPC', "Magic Quotes GPC:");
define ('_INSTALL_PHP_QUOTES_RUNTIME', "Magic Quotes Runtime:");
define ('_INSTALL_PHP_GLOBALS', "Register Globals:");
define ('_INSTALL_PHP_OUTBUFFER', "Output Buffering:");
define ('_INSTALL_PHP_AUTOSTART_SESSION', "Session auto start:");
	//--file permission
define ('_INSTALL_DIRFILE_PERMS', "Directory and File Permissions:");
define ('_INSTALL_DIRFILE_PERMS_INFO', "In order for Mambo to function correctly it needs to be able to access or write to certain files	or directories. If you see \"Unwriteable\" you need to change the permissions on the file or directory to allow Mambo to write to it [e.g. per FTP-client with CHMOD 0777].");

	//-- additional settings (new by mic)
define ('_INSTALL_ADD_SETTINGS','Additional system informations');
define ('_INSTALL_ADD_SETTINGS_DESC','Following additional settings were checked und could be a problem if marked in red or lesser then standard. For exampleis the setting "short_open_tag" is "OFF", this can be the reason for errors in your scripts. In a case like that get in contact with the developer and force a correct scripting.');
define ('_INSTALL_MESS_OLDPHP1','Because of an outdated installed version of PHP [ %s ] the installer could not check the serversetting for possible languages. Mambo will be installed in the languages definded above. Maybe your locale language setting in the backend is not set correct!'); // %s=phpversion #################
define ('_INSTALL_MESS_OLDPHP2','PLease check after installation process your language country code setting in the backend, maybe you have to ask your provider for the correct setting.<br /><br />Further tell your provider that the installed PHP version is an outdated one and does not fit with the security guidelines of PHP! [see more about here <a href="http://php.net">PHP.net</a> ]');#############

	//-- Copyright
define ('_MIRO_COPYRIGHT', "Miro International Pty Ltd.  2000 - 2004 All rights reserved.<br />");
define ('_MIRO_GNUGPL', " is Free Software released under the GNU/GPL License.");
define ('_GPL_TRANSL', "");


//--Install.php
define ('_INSTALL_LICENSE_TITLE', "license");
define ('_INSTALL_LICENSE_TYPE', "GNU/GPL License:");
define ('_INSTALL_LICENSE_CONDITION', "*** To continue installing Mambo you must check the box under the license ***");
define ('_INSTALL_LICENSE_AGREE', "I Accept the GPL License");
define ('_INSTALL_CHECK_LANG1','You forgot to choose the language');
define ('_INSTALL_CHECK_LANG2','You have to choose user- and admin language');

//--Install1.php
define ('_INSTALL_DB_JS_HOSTNAME', 'Please enter a Host name');
define ('_INSTALL_DB_JS_USERNAME', 'Please enter a Database User Name');
define ('_INSTALL_DB_JS_BASENAME', 'Please enter a Name for your (new) Database');
define ('_INSTALL_DB_JS_PASSWORD', 'Please enter a Passwort for your (new) Database');
define ('_INSTALL_DB_JS_WARNING', 'Are you sure these settings are correct?\nMambo will now attempt to populate a Database with the settings you have supplied');
define ('_INSTALL_DB_SECTION', "MySQL database configuration:");
define ('_INSTALL_DB_STEPS_DESCRIPTION', "<p>Setting up Mambo to run on your server involves 4 simple steps...</p>
  	   <p>Please enter the hostname of the server Mambo is to be installed on, this is usually 'localhost'.<br /><br />
   		Enter the MySQL username and password and the database name you wish to use with Mambo.</p>");
define ('_INSTALL_DB_HOSTNAME', "Host Name");
define ('_INSTALL_DB_HOSTNAME_DESCRIPTION', "(this is usually 'localhost')");
define ('_INSTALL_DB_USERNAME', "MySQL User Name");
define ('_INSTALL_DB_PASSWORD', "MySQL Password");
define ('_INSTALL_DB_PASSWORD_DESCRIPTION', "(a password <strong>MUST</strong> be provided)");
define ('_INSTALL_DB_BASENAME', "MySQL Database Name");
define ('_INSTALL_DB_BASENAME_DESC','(Database must already exist!)');
define ('_INSTALL_DB_PREFIX', "MySQL Table Prefix");
define ('_INSTALL_DB_DROPTABLES', "Drop Existing Tables?");
define ('_INSTALL_DB_BACKUP', "Backup Tables?");
define ('_INSTALL_DB_BACKUP_DESCRIPTION', "(existing backup tables will be dropped)");
define ('_INSTALL_DB_SAMPLE_DATA', "Install Sample Data?");


//--Install2.php
define ('_INSTALL_DB_ERROR1', "The database details provided are incorrect and/or empty.");
define ('_INSTALL_DB_ERROR2', "The password and username provided are incorrect.");
define ('_INSTALL_DB_ERROR3', "The database name provided is empty.");
define ('_INSTALL_DB_ERROR4', "A database error occurred:");
define ('_INSTALL_DB_ERROR5', "Please enter a Site Name");
define ('_INSTALL_DB_SITENAME', "Enter the name of your Mambo site:");
define ('_INSTALL_DB_DATAERROR', "Looks like there have been some errors with inserting data into your database!<br />You cannot continue.");
define ('_INSTALL_DB_INSTALLSUCCESS', "SUCCESS!<br /><br />
  			Type in the name for your Mambo site. This name is used in email messages so make it something meaningful.");
define ('_INSTALL_DB_LOGERROR', "<br /><br />Error log:<br />\n");
define ('_INSTALL_DB_SITENAME_LABEL', "Site name");
define ('_INSTALL_SITE_NAME_DESCRIPTION', "e.g. The Home of Mambo");


//--Install3.php
define ('_INSTALL_SITE_NONAME', "The sitename has not been provided");
define ('_INSTALL_JS_SITENAME', "Please enter Site URL");
define ('_INSTALL_JS_PATH', "Please enter the absolute path to your site");
define ('_INSTALL_JS_EMAIL', "Please enter an email address to contact your administrator");
define ('_INSTALL_JS_PASSWORD', "Please enter a password for you administrator");
define ('_INSTALL_SITE_SECTION', "Confirm the site URL, absolute path and admin e-mail");
define ('_INSTALL_SITE_DESCRIPTION', "<p>If URL and Path looks correct then please do not change.
    	          If you are not sure then please contact your ISP or administrator. Usually
    	          the values displayed below will work for your site.<br />
    	          <br />
    	          Enter your e-mail address, this will be the e-mail address of the site
    	          SuperAdministrator.<br />");
define ('_INSTALL_SUPERADMIN_EMAIL', "Your E-mail");
define ('_INSTALL_SUPERADMIN_PASSWORD', "Admin password");
define ('_INSTALL_SITE_PATH', "Path");
define ('_INSTALL_SITE_URL', "URL");
define ('_INSTALL_ADMIN_PW','[NOTE: the suggested password can be replaced with one of your choice]');

// neu 2.0 ++++++++++++++++++++++++++++++++++++++
define ('_INSTALL_FILE_PERMISSIONS','File Permissions');
define ('_INSTALL_DONT_CHM_FILES','Don\'t CHMOD files (use server defaults)');
define ('_INSTALL_CHMOD_FILES_TO','CHMOD files to:');
define ('_INSTALL_CHMOD_USER','User:');
define ('_INSTALL_CHMOD_GROUP','Group:');
define ('_INSTALL_CHMOD_WORLD','World:');
define ('_INSTALL_CHMOD_READ','Read');
define ('_INSTALL_CHMOD_WRITE','Write');
define ('_INSTALL_CHMODE_EXECUTE','Execute');

define ('_INSTALL_DIR_PERMISSIONS','Directory Permissions');
define ('_INSTALL_CHMOD_DIR_TO','CHMOD directories to:');
define ('_INSTALL_CHMOD_SEARCH','Search');
define ('_INSTALL_CHMOD_FILES_FAIL','<u>Information</u>: File permissions could <strong>not</strong> be set!<br />Please change manually with FTP and CHMOD 0644 to following files:<br />');
// ende neu 2.0 ++++++++++++++++++++++++++++++++++

//--Install4.php
define ('_INSTALL_JS_CHECKEMAIL', "You must provide a valid admin email address.");
define ('_INSTALL_JS_CHECKDB', "The database details provided are incorrect and/or empty");
define ('_INSTALL_JS_CHECKSITENAME', "The sitename has not been provided");
define ('_INSTALL_CONF_LANGUAGE', "english");
define ('_INSTALL_CONF_SITE_MAINTAIN', "'This site is down for maintenance.<br /> Please check back again soon.'");
define ('_INSTALL_CONF_SITE_UNAVAILABLE', "'This site is temporarily unavailable.<br /> Please notify the System Administrator'");
define ('_INSTALL_CONF_METADESC', "'Mambo - the dynamic portal engine and content management system'");
define ('_INSTALL_CONF_METAKEYS', "'mambo, Mambo, php, mysql, content, management'");
define ('_INSTALL_CONF_LANGUAGE_REF', "en_GB");
define ('_INSTALL_CONF_LANGUAGE_AREF', 'english'); // admin language (new by mic)
define ('_INSTALL_CHMOD_DIR', "<u>Information</u>: Directory permissions successfully changed.");
define ('_INSTALL_CHMOD_DIR_FAIL', "<u>Information</u>: Directory permissions could not be changed. Please CHMOD 0777 the following directories manually:<br />");
define ('_INSTALL_JS_CHECKURL', "The site url has not been provided");
define ('_INSTALL_CONGRATULATION', "Congratulations! Mambo is installed");
define ('_INSTALL_DESCRIPTION', "<p>Click the \"View Site\" button to start Mambo site or \"Administration\" to take you to administrator login.</p>");
define ('_INSTALL_POST_ACTION', 'PLEASE REMEMBER TO COMPLETELY<br />REMOVE THE "<u>installation</u>" DIRECTORY');
define ('_INSTALL_POST_ACTION1', 'SECURITY NOTE: The install directory was renamed to "_i_nstallation".<br /><br />IF YOU DON\'T NEED IT ANYMORE, DELETE IT AS SOON AS POSSIBLE!'); // ######################################## new
define ('_INSTALL_LOGIN', "Administration Login Details");
define ('_INSTALL_ADMIN_USERNAME', "Username : admin");
define ('_INSTALL_ADMIN_PASSWORD', "Password : ");
define ('_INSTALL_ACTION', "Click the \"Run\" button to start Mambo site or \"Admin\" to take you to administrator login.");
define ('_INSTALL_VIEWSITE', "View Site");
define ('_INSTALL_LOGINADMIN', "Administration");
define ('_INSTALL_ALERT', 'Your configuration file or the directory is not writeable or another problem occured. Please copy following code (from "<?" till "?>"), create with your editor a file "configuration.php", paste those lines into, save and transfer this file with your FTP programm to the mainroot of your Mambo installation.<br /><strong>Due security reasons change the file permission with CHMOD to "0644"</strong>');
// mail
define ('_INSTALL_MAIL_SUBJECT','Notification of Installation of Mambo ' . MamboVersion);
define ('_INSTALL_MAIL_MSG1','Hello Admin');
define ('_INSTALL_MAIL_MSG2','below you will find the settings defined during the installation process of Mambo ' . MamboVersion . ' from this site:');
define ('_INSTALL_MAIL_MSG3','Website name : ');
define ('_INSTALL_MAIL_MSG4','Website link : ');
define ('_INSTALL_MAIL_MSG5','Time of installation ........... : ');
define ('_INSTALL_MAIL_MSG6','Installation was performed by IP : ');
define ('_INSTALL_MAIL_SQL_GEN','SQL-Settings');
define ('_INSTALL_MAIL_SQL_HOST','Host ....... : ');
define ('_INSTALL_MAIL_SQL_USER','Username ... : ');
define ('_INSTALL_MAIL_SQL_PW','Password ... : ');
define ('_INSTALL_MAIL_SQL_DB','Database ... : ');
define ('_INSTALL_MAIL_SQL_PREFIX','DB-Prefix .. : ');
define ('_INSTALL_MAIL_PATH_GEN','Path');
define ('_INSTALL_MAIL_PATH_ABS','Absolut : ');
define ('_INSTALL_MAIL_PATH_REL','Relativ : ');
define ('_INSTALL_MAIL_LANG_GEN','Language settings');
define ('_INSTALL_MAIL_LANG_FRONT','Userlanguage (Frontend) : ');
define ('_INSTALL_MAIL_LANG_BACK','Adminlanguage (Backend) : ');
define ('_INSTALL_MAIL_SAMPLEDB','Sample datas successfully transfered');
define ('_INSTALL_MAIL_NO_SAMPLEDB','Sample datas not transfered');
define ('_INSTALL_MAIL_CHMOD_FAIL','Information: for following directories <CHMOD> could not be executed! Please change  the rights to <0755> for:
/administrator
/cache
/components
/editor
/help
/images
/includes
/language
/mambots
/media
/modules
/templates

Following files to 0644:
globals.php
htaccess.txt
index.php
index2.php
mainbody.php
offline.php
pathway.php
robots.txt');
define ('_INSTALL_MAIL_DEL_INSTALLDIR','Attention: for your own security, please delete the installation directory, inclusive all files and directories within!!');
define ('_INSTALL_MAIL_DEL_INSTALLDIR_RENAME','Attantion: the directory "installation" was renamed to  " %s "! If you don\'t need at anymore, delete it as soon as possible!'); // +++++ new
define ('_INSTALL_MAIL_SENT','An email with the most important settings was sent to "<strong>%s</strong>".');

// new 2.0 ++++++++++++++++++++++++++++++++
define ('_INSTALL_MESS_DIRSAND_FILES_UNCHANGED','Directory and file permissions left unchanged.');
// end new 2.0 +++++++++++++++++++++++++++

// languages
	// general
define ('_INSTALL_LANGUAGE_SERVER','Language settings at serverside');
define ('_INSTALL_LANGUAGE_DESC','Following settings will give you an overview of possible language settings, please write down you could use this later within Mambo.<br />Correct display of date depends on your browser settings!');
define ('_INSTALL_LANGUAGE_SETTING','Setting');
define ('_INSTALL_LANGUAGE_DATE','View of date');
define ('_INSTALL_LANGUAGE_INSTALL','Following language code will be installed:');

	// local settings
	// please define in alphabetical order !
define ('_INSTALL_LNG_AR','Arabian');
define ('_INSTALL_LNG_BG','Bulgarian');
define ('_INSTALL_LNG_CS','Czech');
define ('_INSTALL_LNG_DA','Danish');
define ('_INSTALL_LNG_DE','German');
define ('_INSTALL_LNG_EN','English');
define ('_INSTALL_LNG_ES','Spanish');
define ('_INSTALL_LNG_FI','Finnish');
define ('_INSTALL_LNG_FR','French');
define ('_INSTALL_LNG_HU','Hungarian');
define ('_INSTALL_LNG_IT','Italian');
define ('_INSTALL_LNG_LT','Lithuanian');
define ('_INSTALL_LNG_NL','Dutch');
define ('_INSTALL_LNG_PL','Polish');
define ('_INSTALL_LNG_PT','Portuguese');
define ('_INSTALL_LNG_SV','Swedish');
define ('_INSTALL_LNG_RU','Russian');
?>